Announcement

Collapse
No announcement yet.

Does this work on zee s2?

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Does this work on zee s2?

    Installed on zee s2, and got this error (see below). I'm very familiar with Linux, so how does one get a command prompt to install the needed daemon? I see tools > system > linux tools, is that the only way to run linux commands? Is there any known reason why airplayspeak wouldn't run on a zee s2? I'd love to be able to broadcast the voice to airplay compatible speakers. I do need to buy one yet, but did run into this error on plugin initial setup.
    Nov-26 10:09:04 PM Plug-In Finished initializing plug-in AirplaySpeak Nov-26 10:09:01 PM Info Plugin AirplaySpeak with instance: has disconnected Nov-26 10:09:01 PM Error Initializing plug-in(1): AirplaySpeak Instance::System.Exception: No Zeroconf providers could be found or initialized. Necessary daemon may not be running. at Mono.Zeroconf.Providers.ProviderFactory.GetProviders () <0x73868e40 + 0x008b8> in :0 at Mono.Zeroconf.Providers.ProviderFactory.get_DefaultProvider () <0x73868da0 + 0x00037> in :0 at Mono.Zeroconf.Providers.ProviderFactory.get_SelectedProvider () <0x73868d38 + 0x0002f> in :0 at Mono.Zeroconf.ServiceBrowser..ctor () <0x73868bb8 + 0x00013> in :0 at HSPI_AIRPLAY_SPEAK.SpeakerDiscoverer.Start () <0x73868960 + 0x00023> in :0 at HSPI_AIRPLAY_SPEAK.SpeakerManager..ctor () <0x73867f60 + 0x0019b> in :0 at HSPI_AIRPLAY_SPEAK.AirplaySpeakApp.Init () <0x73865f18 + 0x00327> in :0 Nov-26 10:09:01 PM AirplaySpeak ERROR System.Exception: No Zeroconf providers could be found or initialized. Necessary daemon may not be running. at Mono.Zeroconf.Providers.ProviderFactory.GetProviders () <0x73868e40 + 0x008b8> in :0 at Mono.Zeroconf.Providers.ProviderFactory.get_DefaultProvider () <0x73868da0 + 0x00037> in :0 at Mono.Zeroconf.Providers.ProviderFactory.get_SelectedProvider () <0x73868d38 + 0x0002f> in :0 at Mono.Zeroconf.ServiceBrowser..ctor () <0x73868bb8 + 0x00013> in :0 at HSPI_AIRPLAY_SPEAK.SpeakerDiscoverer.Start () <0x73868960 + 0x00023> in :0 at HSPI_AIRPLAY_SPEAK.SpeakerManager..ctor () <0x73867f60 + 0x0019b> in :0 at HSPI_AIRPLAY_SPEAK.AirplaySpeakApp.Init () <0x73865f18 + 0x00327> in :0 Nov-26 10:09:01 PM AirplaySpeak INFO AirplaySpeak version 3.0.0.10

  • #2
    to get a command prompt you need to ssh into your Zee2 using a ssh client like putty. Default username/password for the the Zee2 is homeseer/hsthsths3

    then you need to install avahi-daemon and do a few other small changes as explained here: http://board.homeseer.com/showthread.php?t=176058

    Comment


    • #3
      ok, I got that far already
      Avahi daemon installed, but for libavahi-cil-dev:
      The following packages have unmet dependencies:
      libavahi-cil-dev : Depends: libavahi1.0-cil (= 0.6.19-4.2) but it is not going to be installed
      E: Unable to correct problems, you have held broken packages.

      Following the trace a bit gives me this strange package:
      The following packages have unmet dependencies:
      libmono-corlib4.0-cil : Depends: mono-runtime (< 3.2.9) but 4.0.2.5+dfsg-2~rpi1 is to be installed
      E: Unable to correct problems, you have held broken packages.

      Seems to be breaking because it can't find the package:
      4.0.2.5+dfsg-2~rpi1


      ffmpeg install I got:
      E: Package 'ffmpeg' has no installation candidate

      and avconv:
      E: Unable to locate package avconv


      Do I need to add a repository??

      Comment


      • #4
        did you do a

        sudo apt-get update

        before trying to install new packages?

        Comment


        • #5
          I did, it ended seemingly not doing anything.
          apt-get upgrade says it will use more extra space than is available, so I better not do that one.

          Comment


          • #6
            Maybe I need to upgrade something? I ran across your upgrading Mono thread:
            http://board.homeseer.com/showthread.php?t=183916

            Is that relevant? Any other super Homeseer users wanna chime in?

            Comment


            • #7
              you shouldn't have to upgrade mono
              looks like avconv is part of the libav-tools package, so try that:
              Code:
              sudo apt-get install libav-tools
              then to see if it is installed just type avconv on the command line

              as for libavahi-cil-dev, I don'' t know what the problem is, but I'm not sure this package is even needed, so try the plugin without that.
              Last edited by spud; March 26th, 2017, 04:43 PM.

              Comment


              • #8
                OK, I have avconv now, and have edited my speak_to_file.sh file. Still getting the same above error in red (AirplaySpeak Instance::System.Exception: No Zeroconf providers could be found or initialized. Necessary daemon may not be running. at Mono.Zeroconf.Providers.ProviderFactory.GetProviders)

                Comment


                • #9
                  Does the above error mean that it simply didn't find any airplay speak compatible speakers on the network? I wonder if I could test through my laptop speakers?

                  Comment


                  • #10
                    Originally posted by tfunk View Post
                    Does the above error mean that it simply didn't find any airplay speak compatible speakers on the network? I wonder if I could test through my laptop speakers?
                    No it means the Avahi daemon is not running or can't be accessed by the plugin. This is probably caused by libavahi-cil-dev failing to install.

                    Comment


                    • #11
                      Originally posted by spud View Post
                      No it means the Avahi daemon is not running or can't be accessed by the plugin. This is probably caused by libavahi-cil-dev failing to install.
                      Yeah...just discovered that on another board.

                      Comment


                      • #12
                        I'll look more into installing avahi-daemon on a raspberry pi this weekend.

                        Comment


                        • #13
                          I ensured avahi-daemon was running and configured according to this page:
                          http://elinux.org/RPi_Advanced_Setup

                          I confirmed it's running because I can access it over the network from my PC as the how_to suggests.

                          Still getting the exact same error. Any ideas now what I can trouble shoot next?

                          Comment


                          • #14
                            I successfully got your itunes DAAP plugin to install and initialize, so it must be something other than avahi holding us up now.

                            Does version .11 potentially fix this? Seems your .11 fix was unrelated to the daemon.

                            Comment


                            • #15
                              libavahi-cil-dev is needed by the plugin to communicate with the avahi daemon. So the avahi daemon may be running but since the libavahi-cil-dev is not installed the plugin cn't communicate with it.

                              The iTunes plugin initializes because in this plugin avahi is only used when you try to pair the plugin with an iTunes instance. If you try to do that I guess you will get the same kind of error.

                              Comment

                              Working...
                              X